docusign.account-permission-profiles.post-permission-profiles ​
This method creates a new permission profile for an account. ### Related topics - How to create a permission profile
Creates a new permission profile for an account.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
include | string | No | — | A comma-separated list of additional properties to return in the response. The only valid value for this request is metadata, which returns metadata indicating whether the properties associated with the account permission profile are editable. |
modifiedbyusername | string | No | — | The username of the user who last modified the permission profile. |
modifieddatetime | string | No | — | The date and time when the permission profile was last modified. |
permissionprofileid | string | No | — | The ID of the permission profile. Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page. |
permissionprofilename | string | No | — | The name of the account permission profile. Example: Account Administrator |
settings | json | No | — | This object defines account permissions for users who are associated with the account permission profile. |
usercount | string | No | — | The total number of users in the group associated with the account permission profile. |
users | list | No | — | A list of user objects containing information about the users who are associated with the account permission profile. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
include | string | No | — | A comma-separated list of additional properties to return in the response. The only valid value for this request is metadata, which returns metadata indicating whether the properties associated with the account permission profile are editable. |
modifiedbyusername | string | No | — | The username of the user who last modified the permission profile. |
modifieddatetime | string | No | — | The date and time when the permission profile was last modified. |
permissionprofileid | string | No | — | The ID of the permission profile. Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page. |
permissionprofilename | string | No | — | The name of the account permission profile. Example: Account Administrator |
settings | json | No | — | This object defines account permissions for users who are associated with the account permission profile. |
usercount | string | No | — | The total number of users in the group associated with the account permission profile. |
users | list | No | — | A list of user objects containing information about the users who are associated with the account permission profile. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call POST /v2.1/accounts/{accountId}/permission_profiles |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform POST /v2.1/accounts/{accountId}/permission_profiles |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.account-permission-profiles.post-permission-profiles",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}